%define _disable_ld_no_undefined	1
%define _disable_ld_as_needed		1

%define major	0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}

Name:		lifev
Version:	0.8.1
Release:	%{mkrel 2}
Summary:	Finite element(FE) library
Group:		System/Libraries
URL:		http://www.lifev.org/
Source:		http://cmcsforge.epfl.ch/frs/download.php/17/%{name}-%{version}.tar.bz2
Patch0:		lifev-0.7.0.lib64-fix.patch
Patch1:		lifev-0.8.1-gcc43.patch
License:	LGPLv2+
BuildRequires:	boost-static-devel
BuildRequires:	lapack-devel
BuildRequires:	amd-devel < 3.0.0
BuildRequires:	umfpack-devel
BuildRequires:	aztecoo-devel
BuildRequires:	automake1.7
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
LifeV is a finite element(FE) library providing implementations of state of the
art mathematical and numerical methods. It serves both as a research and
production library. It has been used already in medical and industrial context
to simulate fluid structure interaction and mass transport. LifeV is the joint
collaboration between three institutions: cole Polytechnique Fdrale de
Lausanne (CMCS) in Switzerland, Politecnico di Milano (MOX) in Italy and INRIA
(BANG) in France.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname lifev 0 -d}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch0 -p0 -b lib64-fix
%patch1 -p1 -b .gcc43

%build
aclocal-1.7 -I admin
autoconf
automake-1.7
%configure2_5x \
    -with-umfpack-include=/usr/include/suitesparse \
    CPPFLAGS="-DMPICH_IGNORE_CXX_SEEK"
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}%{_datadir}/doc/%{name}
chmod 644 %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS NEWS BUGS README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la



%changelog
* Thu Aug 28 2008 Adam Williamson <awilliamson@mandriva.com> 0.8.1-2mdv2009.0
+ Revision: 277039
- ChangeLog no longer exists, don't package INSTALL
- protect major in file list
- don't use %%{name} in obsolete
- fix buildrequires:
  	+ specify version for amd-devel br to ensure correct one is installed
  	+ drop now-obsolete specific br on autoconf2.5
- new license policy
- add gcc43.patch: misc fixes for GCC 4.3 build
- don't use %%{name} in patch names
- drop unneeded fix-compilation.patch
- bunzip2 lib64-fix.patch
- disabling underlinking protection (breaks build, not easily fixable, internal
  errors)
- drop unnecessary defines

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - fix autoconf-2.5x path
    - import lifev

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new 1.8.1 version
      use automake 1.7 for building, 1.9 fails for recursion limit

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue May 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.1-1mdk
- new version

* Wed May 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-6mdk
- apply patch inconditionally

* Wed May 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-5mdk
- only patch autoconf on x86_64

* Tue May 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-4mdk
- fix build on x86_64

* Tue Apr 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-3mdk
- more buildrequires fixes

* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-2mdk
- fix buildrequires

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-1mdk
- first mdk release 
